function varargout = dosGUI(varargin)
% DOSGUI M-file for dosGUI.fig
%      DOSGUI, by itself, creates a new DOSGUI or raises the existing
%      singleton*.
%
%      H = DOSGUI returns the handle to a new DOSGUI or the handle to
%      the existing singleton*.
%
%      DOSGUI('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in DOSGUI.M with the given input arguments.
%
%      DOSGUI('Property','Value',...) creates a new DOSGUI or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before dosGUI_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to dosGUI_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Copyright 2002-2003 The MathWorks, Inc.

% Edit the above text to modify the response to help dosGUI

% Last Modified by GUIDE v2.5 22-Jun-2008 23:52:38

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @dosGUI_OpeningFcn, ...
                   'gui_OutputFcn',  @dosGUI_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);

if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end
if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

% End initialization code - DO NOT EDIT


% --- Executes just before dosGUI is made visible.
function dosGUI_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to dosGUI (see VARARGIN)
axes(handles.orgIm);
axis off;
% axes(handles.hist);
% axis off;
% Choose default command line output for dosGUI
handles.output = hObject;
handles.data.base_image = 0;
handles.data.file_image = 0;
% handles.data.histogram = 0;
% Update handles structure
guidata(hObject, handles);

P=path;
path(P,strcat(pwd, '\tools'));
P=path;
path(P,strcat(pwd, '\edit'));

edit = dir('edit\*.m');
tools = dir('tools\*.m');

[w,h] = size(edit);
f = uimenu('Label','Edit');
for i=1:w
    editname = strrep(edit(i).name, '.m', '');
    uimenu(f, 'Label', editname, 'Callback',str2func(editname));
end

[w,h] = size(tools);
f = uimenu('Label','Tools');
for i=1:w
    toolname = strrep(tools(i).name, '.m', '');
    uimenu(f, 'Label', toolname, 'Callback',str2func(toolname));
end
% UIWAIT makes dosGUI wait for user response (see UIRESUME)
% uiwait(handles.figure1);
% guidata(gcbo,handles);
f = uimenu('Label', 'Help');
uimenu(f, 'Label', 'How to...', 'Callback', @howto);
uimenu(f, 'Label', 'About', 'Callback', @about);

% --- Outputs from this function are returned to the command line.
function varargout = dosGUI_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% guidata(gcbo,handles);
% --------------------------------------------------------------------


% --------------------------------------------------------------------
function open_Callback(hObject, eventdata, handles)
% hObject    handle to open (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
try 
    [filename, pathname] = uigetfile( ...
{'*.jpg;*.jpeg;*.tif;*.bmp','Image files (*.jpg;*.jpeg;*.tif;*.bmp)';
   '*.jpg;*.jpeg',  'JPEG files (*.jpg;*.jpeg)'; ...
   '*.tif','TIF files (*.tif)'; ...
   '*.bmp','BMP files (*.bmp)'; ...
   '*.*',  'All Files (*.*)'}, ...
   'Pick a file');
end
if ~(filename == 0)
    handles.data.file_image = filename;
    img = imread(filename);
    
%     info = imfinfo(filename);
%     %ColorType
%     set(handles.filename, 'String', info.Filename)
%     set(handles.colortype, 'String', info.ColorType)
%     set(handles.dim, 'String', strcat(num2str(info.Width), 'x ', num2str(info.Height)))
%     
    handles.data.base_image = img;
%     handles.data.histogram = imhist(img);
    guidata(gcbo,handles);
%     set(handles.orgIm,'HandleVisibility','ON');
    axes(handles.orgIm);
    colormap(gray(256));
    image(img, 'CDataMapping', 'scaled');
    axis equal;
    axis tight;
    axis off;
%     set(handles.orgIm,'HandleVisibility','OFF');

    axes(handles.hist);
%     imhist(img);
    axis equal;
    axis tight;
    axis off;
    
    axes(handles.orgIm);
    guidata(gcbo,handles);
end

% --------------------------------------------------------------------
function save_Callback(hObject, eventdata, handles)
% hObject    handle to save (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
try
    [FileName,PathName] = uiputfile( {'*.jpg';'*.jpeg';'*.bmp';'*.tif';'*.*'}, 'Save...');
end

if ~(FileName == 0)
    imwrite(handles.data.base_image, FileName);
end

% --------------------------------------------------------------------
function close_Callback(hObject, eventdata, handles)
% hObject    handle to close (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close all;
clear all;
clc;
close;



% --------------------------------------------------------------------
function Untitled_2_Callback(hObject, eventdata, handles)
% hObject    handle to Untitled_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function Untitled_1_Callback(hObject, eventdata, handles)
% hObject    handle to Untitled_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


